package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;
import java.util.List;

public class HandsetParameterBean implements Serializable{
	private String imei;
	private String mac;
	private String serial;//序列号
	private String brand;//品牌
	private String androidReleaseVersion;
	private String cpuName;
	private String wifiIp;
	private List<String> appInfos;
	private long memoryTotalCapacity = 0L;
	private String memoryTotalCapacityDes;
	private long memoryAvailableCapacity = 0L;
	private String memoryAvailableCapacityDes;
	private long sdcardTotalCapacity = 0L;
	private String sdcardTotalCapacityDes;
	private long sdcardAvailableCapacity = 0L;
	private String sdcardAvailableCapacityDes;
	private long sysTotalCapacity = 0L;
	private String sysTotalCapacityDes;
	private long sysAvailableCapacity = 0L;
	private String sysAvailableCapacityDes;
	public String getImei() {
		return imei;
	}
	public void setImei(String imei) {
		this.imei = imei;
	}
	public String getMac() {
		return mac;
	}
	public void setMac(String mac) {
		this.mac = mac;
	}
	public String getSerial() {
		return serial;
	}
	public void setSerial(String serial) {
		this.serial = serial;
	}
	public String getBrand() {
		return brand;
	}
	public void setBrand(String brand) {
		this.brand = brand;
	}
	public String getAndroidReleaseVersion() {
		return androidReleaseVersion;
	}
	public void setAndroidReleaseVersion(String androidReleaseVersion) {
		this.androidReleaseVersion = androidReleaseVersion;
	}
	public String getCpuName() {
		return cpuName;
	}
	public void setCpuName(String cpuName) {
		this.cpuName = cpuName;
	}
	public String getWifiIp() {
		return wifiIp;
	}
	public void setWifiIp(String wifiIp) {
		this.wifiIp = wifiIp;
	}
	public List<String> getAppInfos() {
		return appInfos;
	}
	public void setAppInfos(List<String> appInfos) {
		this.appInfos = appInfos;
	}
	public long getMemoryTotalCapacity() {
		return memoryTotalCapacity;
	}
	public void setMemoryTotalCapacity(long memoryTotalCapacity) {
		this.memoryTotalCapacity = memoryTotalCapacity;
	}
	public String getMemoryTotalCapacityDes() {
		return memoryTotalCapacityDes;
	}
	public void setMemoryTotalCapacityDes(String memoryTotalCapacityDes) {
		this.memoryTotalCapacityDes = memoryTotalCapacityDes;
	}
	public long getMemoryAvailableCapacity() {
		return memoryAvailableCapacity;
	}
	public void setMemoryAvailableCapacity(long memoryAvailableCapacity) {
		this.memoryAvailableCapacity = memoryAvailableCapacity;
	}
	public String getMemoryAvailableCapacityDes() {
		return memoryAvailableCapacityDes;
	}
	public void setMemoryAvailableCapacityDes(String memoryAvailableCapacityDes) {
		this.memoryAvailableCapacityDes = memoryAvailableCapacityDes;
	}
	public long getSdcardTotalCapacity() {
		return sdcardTotalCapacity;
	}
	public void setSdcardTotalCapacity(long sdcardTotalCapacity) {
		this.sdcardTotalCapacity = sdcardTotalCapacity;
	}
	public String getSdcardTotalCapacityDes() {
		return sdcardTotalCapacityDes;
	}
	public void setSdcardTotalCapacityDes(String sdcardTotalCapacityDes) {
		this.sdcardTotalCapacityDes = sdcardTotalCapacityDes;
	}
	public long getSdcardAvailableCapacity() {
		return sdcardAvailableCapacity;
	}
	public void setSdcardAvailableCapacity(long sdcardAvailableCapacity) {
		this.sdcardAvailableCapacity = sdcardAvailableCapacity;
	}
	public String getSdcardAvailableCapacityDes() {
		return sdcardAvailableCapacityDes;
	}
	public void setSdcardAvailableCapacityDes(String sdcardAvailableCapacityDes) {
		this.sdcardAvailableCapacityDes = sdcardAvailableCapacityDes;
	}
	
	
	public long getSysTotalCapacity() {
		return sysTotalCapacity;
	}
	public void setSysTotalCapacity(long sysTotalCapacity) {
		this.sysTotalCapacity = sysTotalCapacity;
	}
	public String getSysTotalCapacityDes() {
		return sysTotalCapacityDes;
	}
	public void setSysTotalCapacityDes(String sysTotalCapacityDes) {
		this.sysTotalCapacityDes = sysTotalCapacityDes;
	}
	public long getSysAvailableCapacity() {
		return sysAvailableCapacity;
	}
	public void setSysAvailableCapacity(long sysAvailableCapacity) {
		this.sysAvailableCapacity = sysAvailableCapacity;
	}
	public String getSysAvailableCapacityDes() {
		return sysAvailableCapacityDes;
	}
	public void setSysAvailableCapacityDes(String sysAvailableCapacityDes) {
		this.sysAvailableCapacityDes = sysAvailableCapacityDes;
	}
	@Override
	public String toString() {
		return "HandsetParameterBean [imei=" + imei + ", mac=" + mac + ", serial=" + serial + ", brand=" + brand
				+ ", androidReleaseVersion=" + androidReleaseVersion + ", cpuName=" + cpuName + ", wifiIp=" + wifiIp
				+ ", appInfos=" + appInfos + ", memoryTotalCapacity=" + memoryTotalCapacity
				+ ", memoryTotalCapacityDes=" + memoryTotalCapacityDes + ", memoryAvailableCapacity="
				+ memoryAvailableCapacity + ", memoryAvailableCapacityDes=" + memoryAvailableCapacityDes
				+ ", sdcardTotalCapacity=" + sdcardTotalCapacity + ", sdcardTotalCapacityDes=" + sdcardTotalCapacityDes
				+ ", sdcardAvailableCapacity=" + sdcardAvailableCapacity + ", sdcardAvailableCapacityDes="
				+ sdcardAvailableCapacityDes + ", sysTotalCapacity=" + sysTotalCapacity + ", sysTotalCapacityDes="
				+ sysTotalCapacityDes + ", sysAvailableCapacity=" + sysAvailableCapacity + ", sysAvailableCapacityDes="
				+ sysAvailableCapacityDes + "]";
	}

}
